Package com.smartgwt.client.types

# Enum MultiWindowEvent

java.lang.Object
java.lang.Enum<MultiWindowEvent>
com.smartgwt.client.types.MultiWindowEvent

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MultiWindowEvent>`, `Constable`

public enum MultiWindowEvent extends Enum<MultiWindowEvent> implements ValueEnum
Various events triggered by any window in the current application.

Aside from the standard event types listed, other types may be supported depending upon whether OpenFin is in use:

- With OpenFin, application event types are allowed.
- Without OpenFin, HTML Dom Events supported by window.addEventListener() are allowed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVATE`
  (synonym for "focus")
  `BLUR`
  fires when a window loses focus
  `CLOSE`
  fires when a window is closed
  `DEACTIVATE`
  (synonym for "blur")
  `FOCUS`
  fires when a window gets focus
  `LOAD`
  fires when a window finishes loading
  `MOVE`
  fires when a window is moved
  `RESIZE`
  fires when a window is resized
  `UNLOAD`
  fires when a window is about to be reloaded or closed

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MultiWindowEvent`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MultiWindowEvent[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOAD

    public static final MultiWindowEvent LOAD
    fires when a window finishes loading

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "load".

  - ### UNLOAD

    public static final MultiWindowEvent UNLOAD
    fires when a window is about to be reloaded or closed

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "unload".

  - ### MOVE

    public static final MultiWindowEvent MOVE
    fires when a window is moved

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "move".

  - ### RESIZE

    public static final MultiWindowEvent RESIZE
    fires when a window is resized

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "resize".

  - ### CLOSE

    public static final MultiWindowEvent CLOSE
    fires when a window is closed

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "close".

  - ### FOCUS

    public static final MultiWindowEvent FOCUS
    fires when a window gets focus

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "focus".

  - ### BLUR

    public static final MultiWindowEvent BLUR
    fires when a window loses focus

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "blur".

  - ### ACTIVATE

    public static final MultiWindowEvent ACTIVATE
    (synonym for "focus")

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "activate".

  - ### DEACTIVATE

    public static final MultiWindowEvent DEACTIVATE
    (synonym for "blur")

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "deactivate".

- ## Method Details

  - ### values

    public static MultiWindowEvent[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MultiWindowEvent valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`